# Copyright © 2024 Yannick Gingras <ygingras@ygingras.net> and contributors

# This file is part of Minute Maze.

# Minute Maze is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Minute Maze is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Minute Maze.  If not, see <https://www.gnu.org/licenses/>.

## A marker to show where the player is.
class_name PlayerMarker extends CharacterBody2D

func _ready() -> void:
	max_slides = 0

func set_pace(pace:Vector2):
	## A thin wrapper over set_velocity() (which can't be overloaded)
	pace = pace.limit_length(Consts.MAX_PACE)
	velocity = pace

	if pace.length() > 0.0:
		if not %StepsSound.playing:
			%StepsSound.play()
	else:
		%StepsSound.stop()
