# Copyright © 2024 – 2025 Yannick Gingras <ygingras@ygingras.net> and contributors

# This file is part of Minute Maze.

# Minute Maze is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Minute Maze is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Minute Maze.  If not, see <https://www.gnu.org/licenses/>.

class_name HelpScreen extends Control

signal done

func _ready():
	%CreditsLabel.text += FileAccess.open("res://CREDITS.md", FileAccess.READ).get_as_text()

func _on_quit_btn_pressed() -> void:
	get_tree().quit()

func _on_continue_btn_pressed() -> void:
	hide()
	$SettingsScreen.save()
	done.emit()

func _on_settings_btn_pressed() -> void:
	$SettingsScreen.pre_load()
	$SettingsScreen.show()
