# Copyright © 2024 – 2025 Yannick Gingras <ygingras@ygingras.net> and contributors

# This file is part of Minute Maze.

# Minute Maze is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Minute Maze is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Minute Maze.  If not, see <https://www.gnu.org/licenses/>.

class_name SettingsScreen extends Control

func pre_load():
	var settings:Settings = ResourceLoader.load(Consts.SETTINGS_PATH)
	%InputStyleBtn.selected = settings.input_style
	%SpeedSlider.value = settings.speed

func save():
	var settings:Settings = ResourceLoader.load(Consts.SETTINGS_PATH)
	settings.input_style = %InputStyleBtn.selected
	settings.speed = %SpeedSlider.value
	Globals.settings = settings
	settings.save()

func _on_quit_btn_pressed() -> void:
	hide()

func _on_restart_btn_pressed() -> void:
	save()
	Globals.reset()
	get_tree().change_scene_to_file("res://src/main.tscn")

func _on_reset_btn_pressed() -> void:
	Globals.settings = Settings.new()
	Globals.settings.save()
	pre_load()
	
