# Copyright © 2024 Yannick Gingras <ygingras@ygingras.net> and contributors

# This file is part of Minute Maze.

# Minute Maze is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Frsee Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# Minute Maze is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Minute Maze.  If not, see <https://www.gnu.org/licenses/>.

extends Control

func _ready() -> void:
	%NbMazesLabel.text = str(Globals.nb_solved)
	if %BonusBox:
		if Globals.has_strayed:
			%BonusBox.hide()
		else:
			var extra_secs = optimal_path_bonus()
			%BonusSecsLabel.text = "%d" % extra_secs
			Globals.secs_left += extra_secs
			%BonusBox.show()
	if %TimeLeftLabel:
		%TimeLeftLabel.text = Utils.mins_str(Globals.secs_left)

func optimal_path_bonus() -> float:
	## Return the number of seconds of bonus time a player get for following an optimal
	return max(Globals.secs_left * 0.15, 5.0)

func _on_quit_btn_pressed() -> void:
	get_tree().quit()

func _on_continue_btn_pressed() -> void:
	get_tree().change_scene_to_file("res://src/main.tscn")

func _on_new_game_btn_pressed() -> void:
	Globals.reset()
	get_tree().change_scene_to_file("res://src/main.tscn")
